<?php

namespace Drupal\media_placeholder\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Class ConfigForm.
 */
class ConfigForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return [
      'media_placeholder.config',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'config_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('media_placeholder.config');

    $form['img_text'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Message'),
      '#default_value' => ($config->get('img_text')) ? $config->get('img_text') : 'Image not found!',
      '#description' => $this->t('Text to show in an image'),
      '#required' => TRUE,
    ];

    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    parent::submitForm($form, $form_state);

    $this->config('media_placeholder.config')
      ->set('img_text', $form_state->getValue('img_text'))
      ->save();
  }

}
